Loading...
Searching...
No Matches
svn_client_info2_t Struct Reference
Client working copy management » Show repository information about a working copy.

A structure which describes various system-generated metadata about a working-copy path or URL. More...

`#include <svn_client.h>`

## Data Fields

const char * | URL
| Where the item lives in the repository.
svn_revnum_t | rev
| The revision of the object.
const char * | repos_root_URL
| The root URL of the repository.
const char * | repos_UUID
| The repository's UUID.
svn_node_kind_t | kind
| The node's kind.
svn_filesize_t | size
| The size of the file in the repository (untranslated, e.g.
svn_revnum_t | last_changed_rev
| The last revision in which this object changed.
apr_time_t | last_changed_date
| The date of the last_changed_rev.
const char * | last_changed_author
| The author of the last_changed_rev.
const svn_lock_t * | lock
| An exclusive lock, if present.
const svn_wc_info_t * | wc_info
| Possible information about the working copy, NULL if not valid.

## Detailed Description

A structure which describes various system-generated metadata about a working-copy path or URL.

Note
  Fields may be added to the end of this structure in future versions. Therefore, users shouldn't allocate structures of this type, to preserve binary compatibility.

Since
  New in 1.7.

Definition at line 7337 of file svn_client.h.

## Field Documentation

## kind

svn_node_kind_t svn_client_info2_t::kind

The node's kind.

Definition at line 7354 of file svn_client.h.

## last_changed_author

const char* svn_client_info2_t::last_changed_author

The author of the last_changed_rev.

Definition at line 7369 of file svn_client.h.

## last_changed_date

apr_time_t svn_client_info2_t::last_changed_date

The date of the last_changed_rev.

Definition at line 7366 of file svn_client.h.

## last_changed_rev

svn_revnum_t svn_client_info2_t::last_changed_rev

The last revision in which this object changed.

Definition at line 7363 of file svn_client.h.

## lock

const svn_lock_t* svn_client_info2_t::lock

An exclusive lock, if present.

Could be either local or remote.

Definition at line 7372 of file svn_client.h.

## repos_root_URL

const char* svn_client_info2_t::repos_root_URL

The root URL of the repository.

Definition at line 7348 of file svn_client.h.

## repos_UUID

const char* svn_client_info2_t::repos_UUID

The repository's UUID.

Definition at line 7351 of file svn_client.h.

## rev

svn_revnum_t svn_client_info2_t::rev

The revision of the object.

If the target is a working-copy path, then this is its current working revnum. If the target is a URL, then this is the repos revision that it lives in.

Definition at line 7345 of file svn_client.h.

## size

svn_filesize_t svn_client_info2_t::size

The size of the file in the repository (untranslated, e.g.

without adjustment of line endings and keyword expansion). Only applicable for file – not directory – URLs. For working copy paths, size will be SVN_INVALID_FILESIZE.

Definition at line 7360 of file svn_client.h.

## URL

const char* svn_client_info2_t::URL

Where the item lives in the repository.

Definition at line 7340 of file svn_client.h.

## wc_info

const svn_wc_info_t* svn_client_info2_t::wc_info

Possible information about the working copy, NULL if not valid.

Definition at line 7375 of file svn_client.h.

The documentation for this struct was generated from the following file:

- svn_client.h